# $Revision: 1.4 $, $Date: 2003/11/02 21:14:49 $
Summary:	HDS - Hierarchical Data System
Summary(pl):	HDS - hierarchiczny system danych
Name:		starlink-hds
Version:	4.3_4.218
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.starlink.rl.ac.uk/pub/ussc/store/hds/hds.tar.Z
# Source0-md5:	958b8eba37e53175bc890d70257908da
URL:		http://www.starlink.rl.ac.uk/static_www/soft_further_HDS.html
BuildRequires:	gcc-g77
BuildRequires:	sed >= 4.0
BuildRequires:	starlink-chr-devel
BuildRequires:	starlink-ems-devel
BuildRequires:	starlink-sae-devel
Requires:	starlink-sae
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		stardir		/usr/lib/star

%description
HDS is a file-based hierarchical data system designed for the storage
of a wide variety of information. It is particularly suited to the
storage of large multi-dimensional arrays (with their ancillary data)
where efficient access is needed.

HDS organises data into hierarchies, broadly similar to the directory
structure of a hierarchical filing system, but contained within a
single HDS container file. The structures stored in these files are
self-describing and flexible; HDS supports modification and extension
of structures previously created, as well as deletion, copying,
renaming, etc.

All information stored in HDS files is portable between the machines
on which HDS is implemented. Thus, there are no format conversion
problems when moving between machines.

%description -l pl
HDS to oparty na plikach hierarchiczny system danych opracowany do
przechowywania rnych informacji. W szczeglnoci jest dopasowany do
przechowywania duych wielowymiarowych tablic (z ich danymi
pomocniczymi), gdzie potrzebny jest wydajny dostp.

HDS organizuje dane w hierarchie, podobnie jak struktury katalogw w
hierarchicznym systemie plikw, ale zawarte w pojedynczym pliku
kontenera HDS. Struktury zapisane w tych plikach s samoopisujce si
i elastyczne; HDS obsuguje modyfikowanie i rozszerzanie poprzednio
utworzonych struktur, a take usuwanie, kopiowanie, zmian nazwy itp.

Wszystkie informacje zapisane w plikach HDS s przenone midzy
maszynami, na ktrych HDS jest zaimplementowany, dlatego nie ma
problemu konwersji formatu przy przenoszeniu midzy maszynami.

%package devel
Summary:	Header files for HDS library
Summary(pl):	Pliki nagwkowe biblioteki HDS
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	starlink-chr-devel
Requires:	starlink-ems-devel

%description devel
Header files for HDS library.

%description devel -l pl
Pliki nagwkowe biblioteki HDS.

%package static
Summary:	Static Starlink HDS library
Summary(pl):	Statyczna biblioteka Starlink HDS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Starlink HDS library.

%description static -l pl
Statyczna biblioteka Starlink HDS.

%prep
%setup -q -c

sed -i -e "s/-O2 /%{rpmcflags} /;s/ ld -shared -soname / g77 -shared \\\$\\\$3 -Wl,-soname=/" mk
sed -i -e "s/\\('-L\\\$(STAR\\)_LIB) /\\1LINK)\\/share /;s/-L\\\$(STAR_LIB) lib\\\$(PKG_NAME)\\.a/-L\\\$(STARLINK)\\/share -L. -l\\\$(PKG_NAME)/" makefile

%build
LD_LIBRARY_PATH=. \
PATH="$PATH:%{stardir}/bin" \
SYSTEM=ix86_Linux \
./mk build \
	STARLINK=%{stardir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{stardir}/help

SYSTEM=ix86_Linux \
./mk install \
	STARLINK=%{stardir} \
	INSTALL=$RPM_BUILD_ROOT%{stardir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc hds.news
%{stardir}/dates/*
%docdir %{stardir}/docs
%{stardir}/docs/sun*
%{stardir}/help/fac*
%attr(755,root,root) %{stardir}/share/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{stardir}/bin/hds_dev
%attr(755,root,root) %{stardir}/bin/hds_link*
%{stardir}/include/*

%files static
%defattr(644,root,root,755)
%{stardir}/lib/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: starlink-hds.spec,v $
Revision 1.4  2003/11/02 21:14:49  ankry
- restore Source0 URL

Revision 1.3  2003/11/02 21:09:14  ankry
- use dropin to fetch sources

Revision 1.2  2003/11/02 01:10:43  qboosh
- BR: gcc-g77

Revision 1.1  2003/11/02 01:01:25  qboosh
- new

